文档章节

mac下同时安装jdk1.7和jdk1.8

o
 osc_pn11u1x9
发布于 2018/08/06 10:10
字数 668
阅读 0
收藏 0

精选30+云产品,助力企业轻松上云!>>>

 1.安装jdk1.7时会弹出报错,说版本不兼容。

 

 

解决方案

  1. 双击安装包,使安装包挂在到机器上,即在Finder里可以看到一个名字为JDK 7 Update 60的Device。

    在terminal下输入以下命令,命令中的路径可能不同

$ pkgutil --expand /Volumes/JDK\ 7\ Update\ 60/JDK\ 7\ Update\ 60.pkg /tmp/jdk.unpkg  
$ cd /tmp/jdk.unpkg  
$ vim Distribution

  

  1. 将打开的文件内容替换,找到pm_install_check方法,修改为以下就行。
function pm_install_check() {
  return true;
}

 

  1. 重新打包
  $ pkgutil --flatten /tmp/jdk.unpkg /tmp/jdk.pkg 
  1. 开始重新安装包(新的包)
   $ open /tmp/jdk.pkg  
  • 1

注意:原始挂在到机器上的安装包,一定得先关了才可以。

2)

配置

安装完成之后,调出terminal命令行工具,检验安装是否成功:

$ java -version
java version "9"
Java(TM) SE Runtime Environment (build 9+181)
Java HotSpot(TM) 64-Bit Server VM (build 9+181, mixed mode)

 

那如何进行版本切换呢?先看当前生效的JDK路径:

$ which java
/usr/bin/java
$ cd /usr/bin
$ ls -l
……
lrwxr-xr-x   1 root   wheel        74 Oct 21 18:10 java -> /System/Library/Frameworks/JavaVM.framework/Versions/Current/Commands/java
lrwxr-xr-x   1 root   wheel        75 Oct 21 18:10 javac -> /System/Library/Frameworks/JavaVM.framework/Versions/Current/Commands/javac
lrwxr-xr-x   1 root   wheel        77 Oct 21 18:10 javadoc -> /System/Library/Frameworks/JavaVM.framework/Versions/Current/Commands/javadoc
……

 

可以发现这个java只是一个当前系统生效的JDK的一个软连接,Java安装的是实际位置位于

/Library/Java/JavaVirtualMachines

使用如下的命令可以指定当前系统使用哪个版本的JDK:

$ /usr/libexec/java_home -v 版本号

编辑bash_profile文件,添加如下内容(注意:JDK9不是 -v 1.9):

$ vi ~/.bash_profile

export JAVA_7_HOME="$(/usr/libexec/java_home -v 1.7)" export JAVA_8_HOME="$(/usr/libexec/java_home -v 1.8)" export JAVA_9_HOME="$(/usr/libexec/java_home -v 9)" alias jdk7='export JAVA_HOME=$JAVA_7_HOME' alias jdk8='export JAVA_HOME=$JAVA_8_HOME' alias jdk9='export JAVA_HOME=$JAVA_9_HOME' # 默认使用JDK8 export JAVA_HOME=$JAVA_8_HOME $ source ~/.bash_profile 

版本切换

如上配置之后,默认使用JDK1.8,然后使用jdk7jdk8jdk9来切换当前系统的JDK版本:

$ java -version
java version "1.7.0_80"
Java(TM) SE Runtime Environment (build 1.7.0_80-b15)
Java HotSpot(TM) 64-Bit Server VM (build 24.80-b11, mixed mode)
# 切换到JDK1.8,使用如下命令
$ jdk8
$ java -version
java version "1.8.0_111"
Java(TM) SE Runtime Environment (build 1.8.0_111-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.111-b14, mixed mode)
# 切换到JDK9
$ jdk9
$ java -version
java version "9"
Java(TM) SE Runtime Environment (build 9+181)
Java HotSpot(TM) 64-Bit Server VM (build 9+181, mixed mode)

其他

linux环境下JDK配置备份如下:

$ sudo vi ~/.bashrc
export JAVA_HOME=/my/java/home/jdk180 export CLASSPATH=.:$JAVA_HOME/lib:$JAVA_HOME/jre/lib:$CLASSPATH export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH $ source ~/.bashrc 

windows环境下JDK配置如下:

JAVA_HOME=/my/java/home/jdk180
CLASSPATH=.;%JAVA_HOME%\lib;%JAVA_HOME%\jre\lib PATH=%JAVA_HOME%\bin;%JAVA_HOME%\jre\bin;%PATH%


参考:http://adolphor.com/blog/2016/12/24/install-multiple-jdk-to-macos.html
https://blog.csdn.net/zw235345721/article/details/78702254
下一篇: ES6 新特性
o
粉丝 0
博文 500
码字总数 0
作品 0
私信 提问
加载中
请先登录后再评论。

暂无文章

面试必问之mysql基础

mysql存储引擎 如何选择mysql存储引擎 先得了解下各个存储引擎区别 功能 MylSAM MEMORY InnoDB Archive 功能 MylSAM MEMORY InnoDB Archive 存储限制 256TB RAM 64TB None 支持事务 No No Ye...

lipengxs
28分钟前
16
0
错误:将标头发送到客户端后无法设置标头 - Error: Can't set headers after they are sent to the client

问题: I'm fairly new to Node.js and I am having some issues. 我对Node.js相当陌生,遇到了一些问题。 I am using Node.js 4.10 and Express 2.4.3. 我正在使用Node.js 4.10和Express 2......

法国红酒甜
39分钟前
18
0
Spring中事务不生效的几种情况

数据库引擎不支持事务。 没有被Spring管理。 方法不是public的。 自身调用问题。 数据源没有配置事务管理器。 不支持事务。 异常被吃了。 异常类型错误。 事务失效类型: 数据库引擎不支持事...

九分石人
58分钟前
31
0
从Linux内核理解JAVA的NIO

前言 IO 可以简单分为磁盘 IO 和 网络 IO ,磁盘 IO 相对于网络 IO 速度会快一点,本文主要介绍 磁盘 IO ,网络 IO 下周写。 JAVA 对 NIO 抽象为 Channel , Channel 又可以分为 FileChannel ...

万古云霄
今天
22
0
Material Design用在c#的wpf app中

官网:http://materialdesigninxaml.net/ 样式丰富 做网站和手机不粗 个人觉得不适合用在.net framework中,在.net core中应该大有作为。...

齐勇cn
今天
28
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部